#$Id: MYSQL5-CREATE-DRUPAL-DB.sql,v 1.1 2007/07/16 17:00:15 allisterbeharry Exp $
#This script drops and create a database with a user and privileges for use with a Drupal  site

#Revoke all privileges for the user
DELETE FROM `user` where `User` = 'joe';
DELETE FROM `tables_priv` where `User` = 'joe';
DELETE FROM `columns_priv` where `User` = 'joe';

SELECT "Deleted any existing privileges for user joe" as MSG;

#Drop the user if it exists
DELETE FROM `user` where `User`= 'joe2';
SELECT "Deleted (if existed) user joe..." as MSG;

#Drop database if it exists
DROP DATABASE IF EXISTS DRUPAL6;
SELECT "Deleted (if existed) database DRUPAL6..." as MSG;

#Create database
CREATE DATABASE DRUPAL6;
SELECT "Created database DRUPAL6..." as MSG;

#Grant privileges
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, INDEX, ALTER, CREATE
  TEMPORARY TABLES, LOCK TABLES
ON DRUPAL6.*
TO 'joe'@'localhost' IDENTIFIED BY 'cool';
FLUSH PRIVILEGES;
SELECT "Granted privileges SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES to user joe@localhost..." as MSG;
